## cosmic-workspaces.sources1768995445any.cards.tar.xz

=== Makefile ===
prefix ?= /usr
bindir = $(prefix)/bin
libdir = $(prefix)/lib
includedir = $(prefix)/include
datarootdir = $(prefix)/share
datadir = $(datarootdir)

CARGO_TARGET_DIR ?= target
TARGET = debug
DEBUG ?= 0
ifeq ($(DEBUG),0)
	TARGET = release
	ARGS += --release
endif

VENDOR ?= 0
ifneq ($(VENDOR),0)
	ARGS += --frozen
endif

BIN = cosmic-workspaces
APPID = com.system76.CosmicWorkspaces

all: $(BIN)

clean:
	rm -rf target

distclean: clean
	rm -rf .cargo vendor vendor.tar

$(BIN): Cargo.toml Cargo.lock src/main.rs vendor-check
	cargo build $(ARGS) --bin ${BIN}

install:
	install -Dm0755 $(CARGO_TARGET_DIR)/$(TARGET)/$(BIN) $(DESTDIR)$(bindir)/$(BIN)
	install -Dm0644 data/$(APPID).desktop $(DESTDIR)$(datadir)/applications/$(APPID).desktop
	install -Dm0644 data/$(APPID).svg $(DESTDIR)$(datadir)/icons/hicolor/scalable/apps/$(APPID).svg


## Cargo Vendoring

vendor:
	rm .cargo -rf
	mkdir -p .cargo
	cargo vendor | head -n -1 > .cargo/config
	echo 'directory = "vendor"' >> .cargo/config
	tar cf vendor.tar vendor
	rm -rf vendor

vendor-check:
ifeq ($(VENDOR),1)
	rm vendor -rf && tar xf vendor.tar
endif

=== debian/changelog ===
cosmic-workspaces (0.1.0) jammy; urgency=medium

  * Initial release.

 -- Ian Scott <idscott@system76.com>  Fri, 20 Jan 2023 15:21:34 -0800

=== debian/control ===
Source: cosmic-workspaces
Section: admin
Priority: optional
Maintainer: System76 <info@system76.com>
Build-Depends:
  debhelper (>= 11),
  debhelper-compat (= 11),
  cargo,
  libegl1-mesa-dev,
  libgbm-dev,
  libinput-dev,
  libudev-dev,
  libxkbcommon-dev,
  libwayland-dev,
  pkg-config,
Standards-Version: 4.3.0
Homepage: https://github.com/pop-os/cosmic-workspaces-epoch

Package: cosmic-workspaces
Architecture: amd64 arm64
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Cosmic workspaces

=== debian/rules ===
#!/usr/bin/make -f

CLEAN ?= 1
VENDOR ?= 1

%:
	dh $@

override_dh_auto_clean:
ifeq ($(CLEAN),1)
	make clean
endif
ifeq ($(VENDOR),1)
	if ! ischroot; then \
		make vendor; \
	fi
endif

override_dh_auto_build:
	env CARGO_HOME="$$(pwd)/target/cargo" \
		make all VENDOR=$(VENDOR) prefix=/usr

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
